require_relative 'player'

module StudioGame
	class BerzerkPlayer < Player
		def initialize(name, health = 100)
			super(name, health)
			@w00t_count = 0
		end

		def berserk?
			@w00t_count > 5
		end

		def blam
			berserk? ? w00t : super
		end

		def w00t
			super
			@w00t_count += 1
			puts "#{@name} is berzerk!" if berserk?
		end
	end

	if __FILE__ == $0
	  berzerker = BerzerkPlayer.new("berzerker", 50)
	  6.times { berzerker.w00t }
	  2.times { berzerker.blam }
	  puts "#{berzerker.health}"
	end
end